<?php
$db = mysqli_connect('localhost', 'root', '', 'galeria');
if (!$db) {
    echo mysqli_error($db);
}
?>
    <!doctype html>
    <html lang="pl">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport"
              content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <title>Galeria</title>
        <link rel="stylesheet" href="styl.css">
    </head>
    <body>
    <header>
        <h1>Zdjęcia</h1>
    </header>
    <section id="left">
        <h2>Tematy zdjęć</h2>
        <ol>
            <li>Zwierzęta</li>
            <li>Krajobrazy</li>
            <li>Miasta</li>
            <li>Przyroda</li>
            <li>Samochody</li>
        </ol>
    </section>
    <section id="center">
        <?php
        $sql1 = "SELECT tytul,plik,polubienia,imie,nazwisko FROM zdjecia JOIN autorzy ON autorzy_id = autorzy.id ORDER BY nazwisko;";
        $result1 = mysqli_query($db, $sql1);
        if (mysqli_num_rows($result1) != 0) {
            while ($row = mysqli_fetch_assoc($result1)) {
                echo "<div class='php1_block'>";
                echo "<img src='{$row['plik']}' alt='zdjęcie'>";
                echo "<h3>{$row['tytul']}</h3>";
                if ($row['polubienia'] > 40) {
                    echo "<p>Autor: {$row['imie']} {$row['nazwisko']}.<br> Wiele osób polubiło ten obraz</p>";
                } else {
                    echo "<p>Autor: {$row['imie']} {$row['nazwisko']}</p>";
                }
                echo "<a href='{$row['plik']}'>Pobierz</a>";
                echo "</div>";
            }
        }
        ?>
    </section>
    <section id="right">
        <h2>Najbardziej lubiane</h2>
        <?php
        $sql2 = "SELECT tytul,plik FROM zdjecia WHERE polubienia >= 100;";
        $result2 = mysqli_query($db, $sql2);
        if (mysqli_num_rows($result2) != 0) {
            $row = mysqli_fetch_assoc($result2);
            echo "<img src='{$row['plik']}' alt='{$row['tytul']}'>";
        }
        ?>
        <strong>Zobacz wszystkie nasze zdjęcia</strong>
    </section>
    <footer>Stronę wykonał: Jakub Grzegorczyk 3p/1</footer>
    </body>
    </html>
<?php
mysqli_close($db);
?>